#!/bin/bash

cd $(dirname "$0")
echo "Generating $(pwd)/Makefile.am"

progs="$(echo *.c | sed -e 's/\.c / /g' -e 's/\.c$//')"
cat << __EOF__ > Makefile.am
TESTS = $progs
check_PROGRAMS = $progs
noinst_HEADERS = asmsh_check.h
EXTRA_DIST = samples

TESTLIB_NAME=libcheck_asmsh.a
TESTLIB=\$(top_builddir)/\$(TESTLIB_NAME)

\$(TESTLIB):
	make -C \$(top_builddir) \$(TESTLIB_NAME)

.PHONY: \$(TESTLIB)
__EOF__

for p in $progs
do
	cat << __EOF__ >> Makefile.am
${p}_SOURCES = ${p}.c
${p}_CFLAGS = @CHECK_CFLAGS@
${p}_LDADD = \$(TESTLIB) @CHECK_LIBS@
__EOF__

done
